Bug 1493296 - Generate name when service starts, not in %post [NEEDINFO]
Summary: Generate name when service starts, not in %post
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Leech
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1493294
TreeView+ depends on / blocked
 
Reported: 2017-09-19 20:44 UTC by Colin Walters
Modified: 2020-11-24 10:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 10:48:25 UTC
Type: Bug
dustymabe: needinfo? (cleech)


Attachments (Terms of Use)

Description Colin Walters 2017-09-19 20:44:17 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=1493294

Basically do the same thing that's done in e.g. sshd.service to generate keys on first run.

(Though, do we need a distinct identifier at all here versus just reusing the systemd machine ID?)

Comment 1 Fedora End Of Life 2018-02-20 15:31:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Dusty Mabe 2018-03-19 13:08:48 UTC
Hey Chris, Can we get some input on this?

Comment 3 Colin Walters 2019-03-27 15:36:59 UTC
This is impacting RHEL CoreOS, see https://bugzilla.redhat.com/show_bug.cgi?id=1687722

Comment 4 Ben Cotton 2019-08-13 17:04:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 19:12:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Christian Glombek 2020-05-05 23:49:02 UTC
PR to add init service upstream: https://github.com/open-iscsi/open-iscsi/pull/207

Pr for spec file changes: https://src.fedoraproject.org/rpms/iscsi-initiator-utils/pull-request/8

Comment 7 Ben Cotton 2020-11-03 14:59:14 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Timothée Ravier 2020-11-24 10:48:25 UTC
As far as I understand, this has been fixed in https://src.fedoraproject.org/rpms/iscsi-initiator-utils/pull-request/9.


Note You need to log in before you can comment on or make changes to this bug.